import { SdkEnumType, SdkModelType, SdkType } from "@azure-tools/typespec-client-generator-core";
import { CSharpEmitterContext } from "../sdk-context.js";
import { InputEnumType, InputModelType, InputType } from "../type/input-type.js";
import { LiteralTypeContext } from "../type/literal-type-context.js";
export declare function fromSdkType(sdkContext: CSharpEmitterContext, sdkType: SdkType, literalTypeContext?: LiteralTypeContext): InputType;
export declare function fromSdkModelType(sdkContext: CSharpEmitterContext, modelType: SdkModelType): InputModelType;
export declare function fromSdkEnumType(sdkContext: CSharpEmitterContext, enumType: SdkEnumType, addToCollection?: boolean): InputEnumType;
//# sourceMappingURL=type-converter.d.ts.map